<?
/*
Autor: Lic. Carlos Alberto Vaca Coronado
Version: 3.2.0
*/

session_name('portal_absa');
session_start();

if(!isset($_SESSION['usuario_p_prov_absa']) || trim($_SESSION['usuario_p_prov_absa']) == "" || trim(strtoupper($_SESSION["URL_PORTAL"]."admin.php")) != trim(strtoupper($_SERVER['HTTP_REFERER']))){
	?><script>window.location.href="<?=$_SESSION["URL_PORTAL"]."index.php"?>"</script><?
	exit;
}
require_once "conexion/conectar.php";

$conexion = new CONDB();
$conexion->conectar();

	$usr="";
	$nombre="";
	$puesto="";
	$esadmin="";
	$todoRFC="";
	$esCliente="";
	$esProv="";
	$rfc=@$_POST["id"];
	$correo="";
	$telefono="";
	$permisosC="";
	$permisosP="";
	$nombreRFC="";
	$contacto="";
	$dias_pago="";
	$tipo_proveedor="";
	$agrega_pago_check="";
	$tdocto="";
	$prefijo="";
	$cambia_status_check="";
	$ref_rfc_receptor="";
	$activado="";
	$compensar_documentos="";
	$editar_expediente="";
	$ver_reportes = "";
	$mod_pendientes_cancelar="";
	$mod_acepta_rechaza_cancelacion="";
	$mod_desbloquea_provision_pago="";

if(trim(@$_POST["id2"]) != "")
{
	$query="Select rfc_cliente,activado,ref_rfc_receptor,username, pass, nombre, puesto, esadmin, todoRFC, esCliente, esProv,email,compensar_documentos,editar_expediente,ver_reportes,telefono,contactoP,permisosC,permisosP,cambia_status_check,
			agrega_pago_check,mod_pendientes_cancelar,mod_acepta_rechaza_cancelacion, mod_desbloquea_provision_pago	from usuariosweb where username='".$_POST["id2"]."' LIMIT 1";
	
	$rquery=mysqli_query($conexion->CONEXION,$query);
	
	if(mysqli_num_rows($rquery) == 1)
	{
		$temp=mysqli_fetch_assoc($rquery);
		$usr=@$temp["username"];
		$nombre=@$temp["nombre"];
		$puesto=@$temp["puesto"];
		$esadmin=@$temp["esadmin"];
		$todoRFC=@$temp["todoRFC"];
		$esCliente=@$temp["esCliente"];
		$esProv=@$temp["esProv"];
		$correo=@$temp["email"];
		$telefono=@$temp["telefono"];
		$permisosC=@$temp["permisosC"];
		$permisosP=@$temp["permisosP"];
		$contacto=@$temp["contactoP"];
		$agrega_pago_check=@$temp["agrega_pago_check"];
		$tdocto=@$temp['tdocto'];
        $prefijo=@$temp['prefijo'];
		$cambia_status_check=@$temp['cambia_status_check'];
		$compensar_documentos=@$temp['compensar_documentos'];
		$editar_expediente=@$temp['editar_expediente'];
		$ver_reportes=@$temp['ver_reportes'];
		$mod_pendientes_cancelar=@$temp['mod_pendientes_cancelar'];
		$mod_acepta_rechaza_cancelacion=@$temp['mod_acepta_rechaza_cancelacion'];
		$mod_desbloquea_provision_pago=@$temp['mod_desbloquea_provision_pago'];
		$ref_rfc_receptor=@$temp["ref_rfc_receptor"];
		$activado=@$temp["activado"];
		$rfc = @$temp["rfc_cliente"];
	}
	
	
}
  

		$rNombre = mysqli_query($conexion->CONEXION,"select nombre_cliente from clienteweb where rfc_cliente='$rfc' LIMIT 1");
		if(mysqli_num_rows($rNombre) > 0){
			$tNombre = mysqli_fetch_array($rNombre,MYSQLI_ASSOC);
			$nombreRFC=$tNombre['nombre_cliente'];
		}
	
	
        /*include 'regresaSucursalesAdicional.php';
        $arrSucursales = explode("|",$sucursales);*/
		
		
			$rRFC = mysqli_query($conexion->CONEXION,"select rfc,nombre from receptor");
		
?>
<script language="javascript" src="libs/Vanadium/vanadium.js"></script>
<script type="text/javascript" src="libs/jqueryEasy_1.2.5/jquery.easyui.min.js"></script>
<script>
$j_6(document).ready(function() {

	$j_6('#loading').hide();
	<?if($todoRFC == "NO" || $todoRFC == ""){?>
			$j_6('#queryC').hide();
			$j_6('#queryP').hide();
	<?}else{if($esCliente == "NO" || $esCliente == ""){?>
			$j_6('#queryC').hide();
			<?}
			if($esProv == "NO" || $esProv == ""){?>
			$j_6('#queryP').hide();
			<?}?>
	<?}?>
	
    $j_6().ajaxStart(function() {
        $j_6('#loading').show();
        $j_6('#result').hide();
    }).ajaxStop(function() {
        $j_6('#result').fadeIn('slow');
		$j_6('#loading').hide();
    });
	
		/*$j_3('#formUser').ajaxForm(function(data) {
						$j_3('#result').html(data);
						$j_3('#loading').hide();
		});*/
		
		$j_6('#form, #fat, #formUser').submit(function() {
        $j_6.ajax({
            type: 'POST',
            url: $j_6(this).attr('action'),
            data: $j_6(this).serialize(),
            /*beforeSend:function(){
                var prefijo = $j_6("#prefijo").val();
                var tipo_usuario_vimifos = $j_6("#tipo_usuario_vimifos").val();
                if(prefijo == "-" && tipo_usuario_vimifos == "DOCTOR"){
                    alert("Debe de ingresar un prefijo valido para un usuario DOCTOR.");
                    return false;
                }
                
            },*/
            success: function(data) {
					$j_6('#result').html(data);
					$j_6('#loading').hide();
            }
        })
        
        return false;
    });

		$j_6("#usr").change(function () {
			$j_6("#usr").each(function () {
					usr=$j_6(this).val();
					$j_6.post("regresaUser.php", { usr: usr },function(data){
					if(data.indexOf("false:") != -1){
						campos=data.replace('false:','').split('|');
						rfc=campos[0];
						alert('El usuario '+usr+' ya existe con RFC: ' + rfc);
						if(campos[2] == "NO"){
							if(confirm('Desea darle acceso al portal de proveedores')){
								$j_6.post("updateAccesoUser.php", { usr: usr, rfc: rfc },function(data){
								alert(data);
								});	
							}
						}
						$j_6("#usr").val("");
						$j_6("#usr").focus();
						
					}
				});			
			});
	   });
           
           /*$j_6("#usr").change(function () {
			$j_6("#usr").each(function () {
					usr=$j_6(this).val();
					$j_6.post("regresaUser.php", { usr: usr },function(data){
					if(data.indexOf("false:") != -1){
						campos=data.replace('false:','').split('|');
						rfc=campos[0];
						alert('El usuario '+usr+' ya existe con RFC: ' + rfc);
						if(campos[2] == "NO"){
							if(confirm('Desea darle acceso al portal de proveedores')){
								$j_6.post("updateAccesoUser.php", { usr: usr, rfc: rfc },function(data){
								alert(data);
								});	
							}
						}
						$j_6("#usr").val("");
						$j_6("#usr").focus();
						
					}
				});			
			});
	   });*/
           
           <?if($_SESSION["tipo_portal"] == "VIMIFOS"){?>
                $j_6("#tipo_usuario_vimifos").change(function () {
                             $j_6("#tipo_usuario_vimifos").each(function () {
                                 var tipo_usuario_vimifos = $j_6(this).val();
                                 if(tipo_usuario_vimifos == "EXTERNO"){
                                     $j_6("#prefijo").val('-');
                                     document.getElementById('prefijo').disabled=true;
                                 }else{
                                     $j_6("#prefijo").val('<?=$prefijo?>');
                                     document.getElementById('prefijo').disabled=false;
                                 }
                             });
                });
           <?}?>
           
           
	   
	   $j_6("#todoRFC").change(function () {
			$j_6("#todoRFC").each(function () {
				todo=$j_6(this).val();
				if(todo == "SI"){
					if($j_6('#esCliente').val()=="SI")
						$j_6('#queryC').fadeIn('slow');
					if($j_6('#esProv').val()=="SI")
						$j_6('#queryP').fadeIn('slow');
				}
				else{
					$j_6('#queryC').fadeOut('slow');
					$j_6('#queryP').fadeOut('slow');
				}
						
			});
		});
		
		$j_6("#esCliente").change(function () {
			$j_6("#esCliente").each(function () {
				todo=$j_6(this).val();
				if(todo == "SI" && $j_6("#todoRFC").val() == "SI"){
						$j_6('#queryC').fadeIn('slow');
				}
				else{
					$j_6('#queryC').fadeOut('slow');
				}
						
			});
		});
		
		$j_6("#esProv").change(function () {
			$j_6("#esProv").each(function () {
				todo=$j_6(this).val();
				if(todo == "SI" && $j_6("#todoRFC").val() == "SI"){
						$j_6('#queryP').fadeIn('slow');
				}
				else{
					$j_6('#queryP').fadeOut('slow');
				}
						
			});
		});
		
		$j_6("#rfc").change(function () {
			$j_6("#rfc").each(function () {
				var	rfc = $j_6(this).val();
				$j_6.post("regresaNombreRFC.php", { rfc: rfc},function(data){
				if(data != ""){
					var arrDatosP=data.split('\|');
					$j_6("#nombreRFC").val(arrDatosP[0]);
					/*$j_6("#dias_pago").val(arrDatosP[1]);
					$j_6("#dias_pago").attr('readonly','true');*/
					$j_6("#nombreRFC").attr('readonly','true');
				}else{
					//$j_6("#nombreRFC").val('');
					//$j_6("#dias_pago").val('');
					//document.getElementById('dias_pago').readOnly=false;
					document.getElementById('nombreRFC').readOnly=false;
					
					//$j_6("#dias_pago").attr('readonly','false');
					//$j_6("#nombreRFC").attr('readonly','false');
				}
				
			});	
						
			});
		});
		
		/*$j_6("#ref_rfc_receptor").change(function () {
			$j_6("#ref_rfc_receptor").each(function () {
					var ref_rfc_receptor = $j_6(this).val();
				$j_6.post("validaRFCRec.php", { ref_rfc_receptor: ref_rfc_receptor},function(data){
					if(data == "false"){
						alert("El RFC Receptor no existe.\nEscriba un RFC valido.");
						$j_6("#ref_rfc_receptor").val("");
					}				
				});	
						
			});
		});*/
		
		$j_6('#ref_rfc_receptor').combotree('loadData', 
            [
			<?if(mysqli_num_rows($rRFC) > 0){
				$con=0;
				while($tRFC=mysqli_fetch_array($rRFC,MYSQLI_ASSOC)){ if($con>0){echo ",";}?>
				
			{
                    "id":"<?=$tRFC['rfc']?>",
                    "text":"<?=$tRFC['nombre']?>",
                    "iconCls":""
             }
			 <?$con++;}}?>
             
            ]);
});
$j_6('#ref_rfc_receptor').combotree('reload');

<?if(trim($ref_rfc_receptor) != ""){?>
	$j_6('#ref_rfc_receptor').combotree('setValues', ['<?=str_replace(",","','",$ref_rfc_receptor)?>']);
<?}?>

function maximo(campo,limite){
if(campo.value.length>=limite){
campo.value=campo.value.substring(0,limite);
 }
}
</script>
<table>
		<tr>
		<td valign="top" class="txt_logindat" width="800" height="35"><div id="result"></div></td>
		</tr>
</table>
<table bgcolor="#FFFFFF">
		<tr>
			<td valign="top" class="txt_logindat" align="center"><center><h2>CONFIGURACION DE USUARIO</h2></center></td>
		</tr>
</table>
        <form name="formUser" id="formUser" action="altaUser.php" method="post">
		
		<INPUT TYPE="hidden" NAME="reloadGridAfterSave" id="reloadGridAfterSave" value="<?=$_POST['reloadGridAfterSave']?>">
		<INPUT TYPE="hidden" NAME="valLiga" id="valLiga" value="<?=@$_GET['valLiga']?>">
		
        <table class="td_general" bgcolor="#FFFFFF">
		<tr>
		<td valign="top" class="txt_logindat" width="115">
		<strong>Usuario: * :</strong>
		
        </td>
		<td valign="top" class="txt_logindat" width="170">
		<input type="text" size="23" maxlength="13" name="usr" id="usr" class=":required Logers" value="<?=$usr?>"
		<?
		if($usr != "")
		{
			echo "readOnly";
		}
		?>
		/>
		</td>
        <td valign="top" class="txt_logindat" width="95">
        <strong>Nombre * :</strong>
        </td>
        <td valign="top" class="txt_logindat" width="455">
        <input type="text" onBlur="toUpper(this)" size="50" name="nombre" id="nombre" class=":required Logers" value="<?=$nombre?>" maxlength="100"/>
        <br><br>
        </td>
        </tr>
        <tr>
		<td valign="top" class="txt_logindat" colspan="4">
		<table>
		<tr>
        <td valign="top" class="txt_logindat" width="250">
		<strong>Contrase&ntilde;a <?if(trim(@$_POST["id2"]) == "") echo "*";?> :</strong>
        </td>
		<td valign="top" class="txt_logindat" colspan="2">
		<input type="password" maxlength="32" size="60" name="pass" id="pass" class="<?if(trim(@$_POST['id2']) == "") echo ":required";?> Logers"/>
		</td>
		</tr>
		<tr>
        <td valign="top" class="txt_logindat" width="100">
		<strong>Puesto :</strong>
        </td>
		<td valign="top" class="txt_logindat" colspan="2">
		<input type="text" onBlur="toUpper(this)" maxlength="255" size="60" name="puesto" id="puesto" class="Logers" value="<?=$puesto?>"/>
		</td>
		</tr>
		<tr>
        <td valign="top" class="txt_logindat" width="100">
		<strong>Telefono *:</strong>
        </td>
		<td valign="top" class="txt_logindat" colspan="2">
			<input type="text" size="60" name="telefono" id="telefono" class=":required Logers" value="<?=$telefono?>"/>
		</td>
		</tr>
		<tr>
        <td valign="top" class="txt_logindat" width="100">
		<strong>Contacto *:</strong>
        </td>
		<td valign="top" class="txt_logindat" colspan="2">
			<input onBlur="toUpper(this)" type="text" size="60" name="contacto" id="contacto" class=":required Logers" value="<?=$contacto?>"/>
		</td>
		</tr>
		
		<tr>
			<td valign="top" class="txt_logindat" width="100">
				<strong>RFC Receptor Ref. * :</strong>
			</td>
			<td colspan="2">
				<select class="easyui-combotree" id="ref_rfc_receptor" name="ref_rfc_receptor[]"  multiple="true" cascadeCheck="false" style="width:400px;"></select>
			</td>
		</tr>
					
		<!--<tr>
        <td valign="top" class="txt_logindat" width="100">
		<strong>RFC Receptor Ref. * :</strong>
        </td>
		<?	if(strtoupper(trim($_SESSION['usuario_p_prov_absa'])) != "ADMIN"){
				if(trim($ref_rfc_receptor) == ""){
					$ref_rfc_receptor=$_SESSION['sesion_ref_rfc_receptor'];
				}
			}
			
			
		?>
		<td valign="top" class="txt_logindat" colspan="2">
		<input onBlur="toUpper(this)" <?if(strtoupper(trim($_SESSION['usuario_p_prov_absa'])) != "ADMIN"){?>readOnly="true"<?}?> type="text" maxlength="13" size="25" name="ref_rfc_receptor" id="ref_rfc_receptor" class="<?if(trim($_SESSION["RES_RFC_REFERENCIA"]) == "SI"){?>:required<?}?> Logers" value="<?=$ref_rfc_receptor?>"/>
		</td>
		</tr>-->
		
		<tr>
        <td valign="top" class="txt_logindat" width="100">
		<strong>RFC * :</strong>
        </td>
		<td valign="top" class="txt_logindat" colspan="2">
		<input type="text"  onBlur="toUpper(this)" onKeyUp="onlyAlphaNumericWithAmp(this);" maxlength="13" size="25" name="rfc" id="rfc" class=":required Logers" value="<?=$rfc?>" <?if($rfc){?>readOnly="true"<?}?>/>
		</td>
		</tr>
		<tr>
        <td valign="top" class="txt_logindat" width="100">
		<strong>Raz&oacute;n Social * :</strong>
        </td>
		<td valign="top" class="txt_logindat" colspan="2">
		<input <?if(trim($nombreRFC) != ""){?>readOnly="true"<?}?> type="text"  onBlur="toUpper(this)" maxlength="100" size="50" name="nombreRFC" id="nombreRFC" class=":required Logers" value="<?=$nombreRFC?>" />
		</td>
		</tr>
		<tr>
        <td valign="top" class="txt_logindat" width="100">
		<strong>Correo * :</strong>
        </td>
		<td valign="top" class="txt_logindat" colspan="2">
			<input type="text" size="60" name="correo" id="correo" class=":required Logers" value="<?=$correo?>"/>
		</td>
		</tr>
		<tr>
        <td valign="top" class="txt_logindat" width="100">
		<strong>Administrador * :</strong>
        </td>
		<td valign="top" class="txt_logindat" colspan="2">
		<select name="esadmin" id="esadmin" class=":required Logers">
          <option value="">&iquest;Es Administrador?</option>
		<option value="SI" <?if($esadmin == "SI") echo "selected";?>>SI</option>
		<option value="NO" <?if($esadmin == "NO" || $esadmin == "") echo "selected";?>>NO</option>
		</select>
		</td>
		</tr>
		<tr>
        <td valign="top" class="txt_logindat" width="100">
		<strong>Ver todo * :</strong>
        </td>
		<td valign="top" class="txt_logindat" colspan="2">
		<select name="todoRFC" id="todoRFC" class=":required Logers">
          <option value="">&iquest;Ver todo?</option>
		<option value="SI" <?if($todoRFC == "SI") echo "selected";?>>SI</option>
		<option value="NO" <?if($todoRFC == "NO" || $todoRFC == "") echo "selected";?>>NO</option>
		</select>
		</td>
		</tr>
		
		<tr>
        <td valign="top" class="txt_logindat" width="100">
		<strong>Cambia Status * :</strong>
        </td>
		<td valign="top" class="txt_logindat" colspan="2">
		<input type="checkbox" value="1" name="cambia_status_check" id="cambia_status_check" <?if($cambia_status_check == 1){?>checked="true"<?}?> />
		</td>
		</tr>
		
		<tr>
        <td valign="top" class="txt_logindat" width="100">
		<strong>Agregar Pago * :</strong>
        </td>
		<td valign="top" class="txt_logindat" colspan="2">
		<input type="checkbox" value="1" name="agrega_pago_check" id="agrega_pago_check" <?if($agrega_pago_check == 1){?>checked="true"<?}?> />
		</td>
		</tr>
		<?if($_SESSION["MODULO_PAGOS"] == "1"){?>
		<tr>
        <td valign="top" class="txt_logindat" width="100">
		<strong>Compensar Documentos * :</strong>
        </td>
		<td valign="top" class="txt_logindat" colspan="2">
		<input type="checkbox" value="1" name="compensar_documentos" id="compensar_documentos" <?if($compensar_documentos == 1){?>checked="true"<?}?> />
		</td>
		</tr>
		<tr>
        <td valign="top" class="txt_logindat" width="100">
		<strong>Editar Pagos * :</strong>
        </td>
		<td valign="top" class="txt_logindat" colspan="2">
		<input type="checkbox" value="1" name="editar_expediente" id="editar_expediente" <?if($editar_expediente == 1){?>checked="true"<?}?> />
		</td>
		</tr>
		<tr>
        <td valign="top" class="txt_logindat" width="100">
		<strong>Ver Reportes * :</strong>
        </td>
		<td valign="top" class="txt_logindat" colspan="2">
		<input type="checkbox" value="1" name="ver_reportes" id="ver_reportes" <?if($ver_reportes == 1){?>checked="true"<?}?> />
		</td>
		</tr>
		<?}else{?>
			<input type="hidden" value="<?=$compensar_documentos?>" name="compensar_documentos" id="compensar_documentos" />
			<input type="hidden" value="<?=$editar_expediente?>" name="editar_expediente" id="editar_expediente" />
			<input type="hidden" value="<?=$ver_reportes?>" name="ver_reportes" id="ver_reportes" />
		<?}?>
		<?if($_SESSION["MODULO_PENDIENTES_CANCELAR"] == "1"){?>
		<tr>
			<td valign="top" class="txt_logindat" width="100">
			<strong>Acceso modulo cancelación * :</strong>
			</td>
			<td valign="top" class="txt_logindat" colspan="2">
			<input type="checkbox" value="1" name="mod_pendientes_cancelar" id="mod_pendientes_cancelar" <?if($mod_pendientes_cancelar == 1){?>checked="true"<?}?> />
			</td>
		</tr>
		<tr>
			<td valign="top" class="txt_logindat" width="100">
			<strong>Aceptar rechazar cancelación * :</strong>
			</td>
			<td valign="top" class="txt_logindat" colspan="2">
			<input type="checkbox" value="1" name="mod_acepta_rechaza_cancelacion" id="mod_acepta_rechaza_cancelacion" <?if($mod_acepta_rechaza_cancelacion == 1){?>checked="true"<?}?> />
			</td>
		</tr>
		<tr>
			<td valign="top" class="txt_logindat" width="100">
			<strong>Desbloquea documentos provisionados para pago * :</strong>
			</td>
			<td valign="top" class="txt_logindat" colspan="2">
			<input type="checkbox" value="1" name="mod_desbloquea_provision_pago" id="mod_desbloquea_provision_pago" <?if($mod_desbloquea_provision_pago == 1){?>checked="true"<?}?> />
			</td>
		</tr>
		<?}else{?>
			<input type="hidden" value="<?=$mod_acepta_rechaza_cancelacion?>" name="mod_acepta_rechaza_cancelacion" id="mod_acepta_rechaza_cancelacion" />
			<input type="hidden" value="<?=$mod_pendientes_cancelar?>" name="mod_pendientes_cancelar" id="mod_pendientes_cancelar" />
		<?}?>
		<tr>
        <td valign="top" class="txt_logindat" width="200">
		<strong>Acceso al portal de clientes * :</strong>
        </td>
		<td valign="top" class="txt_logindat" colspan="2">
		<select name="esCliente" id="esCliente" class=":required Logers">
				<option value="NO" <?if($esCliente == "NO"){ echo "selected";}?>>NO</option>
				<option value="SI" <?if($esCliente == "SI"){ echo "selected";}?>>SI</option>
		</select>
		<br/>
		<div id="queryC">
				<strong>Restricci&oacute;n:</strong><br/>
				<textarea id="permisosC" name="permisosC" cols="100" rows="5"><?=$permisosC?></textarea>
			</div>
		</td>
		</tr>
		<tr>
        <td valign="top" class="txt_logindat" width="200">
		<strong>Acceso al portal de proveedores * :</strong>
        </td>
		<td valign="top" class="txt_logindat" colspan="2">
		<select name="esProv" id="esProv" class=":required Logers">
				<option value="SI" <?if($esProv == "SI") echo "selected";?>>SI</option>
				<option value="NO" <?if($esProv == "NO") echo "selected";?>>NO</option>
		</select>
		<br/>
		<div id="queryP">
				<strong>Restricci&oacute;n:</strong><br/>
				<textarea id="permisosP" name="permisosP" cols="100" rows="5"><?=$permisosP?></textarea>
		</div>
		</td>
		</tr>
		<tr>
        <td valign="top" class="txt_logindat" width="100">
		<strong>Activado * :</strong>
        </td>
		<td valign="top" class="txt_logindat" colspan="2">
		<select name="activado" id="activado" class=":required Logers">
			<option value="">&iquest;Activado?</option>
			<option value="2" <?if($activado == "3" || $activado == "") echo "selected";?>>INACTIVO</option>
			<option value="2" <?if($activado == "2" || $activado == "") echo "selected";?>>ACTIVADO</option>
			<option value="1" <?if($activado == "1") echo "selected";?>>PRE-ACTIVADO</option>
			<option value="0" <?if($activado == "0") echo "selected";?>>DESACTIVADO</option>
		</select>
		</td>
		</tr>
		</table>
		</td>
        <td colspan="4" valign="top" class="txt_logindat"><br></td>
        </tr>
        <tr>
        <td colspan="4">
			<input type="submit" class="estilo_btn" value="GUARDAR"/> 
        </td>
        </tr>
		</table>
        </form>